<!DOCTYPE html>
<html lang="en">

<head>
  <title>Virtual Interiors 2D Research Environment Demonstrator</title>
  <meta charset="UTF-8">
  <meta http-equiv="Content-Security-Policy" content="upgrade-insecure-requests">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
  <!-- The line below is only needed for old environments like Internet Explorer and Android 4.x -->
  <script
    src="https://cdn.polyfill.io/v2/polyfill.min.js?features=fetch,requestAnimationFrame,Element.prototype.classList,URL"></script>
  <!-- fontawesome css (for icons) -->
  <link href="data/css/font-awesome/all.css" rel="stylesheet" type="text/css">
  <link rel="preconnect" href="https://fonts.googleapis.com">
<link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
<link href="https://fonts.googleapis.com/css2?family=Open+Sans:ital,wght@0,300..800;1,300..800&display=swap" rel="stylesheet">
</head>

<body>
  <!--Loading screen-->
  <div id="loadingScreen">Loading application</div>

  <!-- column-based layout -->
  <div class="container"></div>
  <!--hide main application content while loading-->
  <div class="row" id="allApplicationContent" style="visibility:hidden">
    <!-- main content panel, hidden while loading -->
    <div class="col" id="colMainContent">

      <nav class="navbar navbar-expand-sm navbar-light">
        <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNav">
          <span class="navbar-toggler-icon"></span>
        </button>

        <div class="collapse navbar-collapse" id="navbarNav">
          <button type="button" id="buttonFullScreen" class="btn btn-sm bg-color-two btn-primary">
            <span class="fas fa-expand menu-icon-styling" title="full-screen"></span></span>&nbsp;<span
              style='float:right' class='d-none d-xl-block'></span>
          </button>

          &nbsp;
          <button type="button" id="zoomIn" class="btn btn-sm btn-dark">
            <span class="fas fa-search-plus menu-icon-styling" title="zoom in"></span>&nbsp;<span style='float:right'
              class='d-none d-xl-block'></span>
          </button>

          &nbsp;
          <button type="button" id="zoomOut" class="btn btn-sm btn-dark">
            <span class="fas fa-search-minus menu-icon-styling" title="zoom out"></span>&nbsp;<span style='float:right'
              class='d-none d-xl-block'></span>
          </button>

          &nbsp;
          <div class="btn-group" role="group">
            <button id="btnGroupDrop3" type="button"
              class="btn btn-sm btn-secondary bg-color-two dropdown-toggle caret-off" data-toggle="dropdown">
              <span class="fas fa-layer-group menu-icon-styling" title="Maps"></span>&nbsp;<span style='float:right'
                class='d-none d-xl-block'> Maps </span>
            </button>
            <div class="dropdown-menu">
              <a class="dropdown-item" id="buttonDisableTileLayer" href="#">Disable map layer</a>
              <a class="dropdown-item" id="buttonTileLayer1" href="#">1625: Van Berckenrode map (Ams. Time Machine)</a>
              <a class="dropdown-item" id="buttonTileLayer2" style="font-weight: 600" href="#">1724: De Broen map (Ams.
                Time Machine)</a>
              <a class="dropdown-item" id="buttonTileLayer3" href="#">1876: Buurtatlas Loman (Ams. Time Machine)</a>
              <a class="dropdown-item" id="buttonTileLayer4" href="#">1909: Dienst der Publieke Werken map (Ams. Time
                Machine)</a>
              <a class="dropdown-item" id="buttonTileLayer5" href="#">2021: Satellite layer (ArcGIS)</a>
            </div>
          </div>

          &nbsp;
          <div class="btn-group" role="group">
            <button id="btnGroupDrop5" type="button"
              class="btn btn-sm btn-secondary bg-color-two dropdown-toggle caret-off" data-toggle="dropdown">
              <span class="fas fa-vector-square menu-icon-styling" title="Streetplans"></span>&nbsp;<span
                style='float:right' class='d-none d-xl-block'> Streetplans</span>
            </button>
            <div class="dropdown-menu">
              <a class="dropdown-item" id="buttonDisableVectorLayer" href="#">Disable streetplan layer</a>
              <a class="dropdown-item" id="buttonVectorLayer1" href="#">1625: streetplan layer (Adamlink)</a>
              <a class="dropdown-item" id="buttonVectorLayer2" href="#" style="font-weight: 600">1700: streetplan layer
                (Adamlink)</a>
              <a class="dropdown-item" id="buttonVectorLayer3" href="#">1909: streetplan layer (Adamlink)</a>
            </div>
          </div>

          &nbsp;
          <div class="btn-group" role="group">
            <button id="btnGroupDrop1" type="button" class="btn btn-sm btn-dark bg-color-two dropdown-toggle caret-off"
              data-toggle="dropdown">
              <span class="fas fa-chart-line menu-icon-styling" title="icon name"></span>&nbsp;<span style='float:right'
                class='d-none d-xl-block'> Data</span>
            </button>
            <div class="dropdown-menu">
              <a class="dropdown-item" id="buttonDisableDataLayer" href="#">Disable data layer</a>
              <a class="dropdown-item" id="buttonDataLayer1" style="font-weight: 600" href="#">[No dataset loaded]</a>
              <a class="dropdown-item" id="buttonDataLayer2" href="#">[No dataset loaded]</a>
            </div>
          </div>

          &nbsp;
          <div class="btn-group" role="group" id="buttonGroupYearDisplay">
            <button id="btnGroupDrop6" type="button" class="btn btn-sm btn-dark dropdown-toggle caret-off"
              data-toggle="dropdown">
              <span class="fas fa-history menu-icon-styling" title="icon name"></span>&nbsp;<span style='float:right'
                id='spanYearDisplay' class='d-none d-md-block'> 9999</span>
            </button>
            <div class="dropdown-menu">
              <a class="dropdown-item" id="buttonViewSingleYear" href="#"> <span class="far fa-clock"></span> View
                single year</a>
              <a class="dropdown-item" id="buttonView10Years" style="font-weight: 600" href="#"> <span
                  class="far fa-clock"></span> View 10
                years</a>
              <a class="dropdown-item" id="buttonView20Years" href="#"> <span class="far fa-clock"></span> View 20
                years</a>
              <a class="dropdown-item" id="buttonViewAllYears" href="#"><span class="fas fa-clock"></span> View all
                years</a>
              <div class="dropdown-divider"></div>
              <a class="dropdown-item" id="buttonAnimateYears" href="#"><span class="fas fa-play-circle"></span> Start
                animation</a>
              <a class="dropdown-item" id="buttonPauseYears" href="#"><span class="fas fa-pause-circle"></span> Pause
                animation</a>
              <a class="dropdown-item" id="buttonResetYears" href="#"><span class="fas fa-stop-circle"></span> Reset
                animation</a>
            </div>
          </div>

          &nbsp;
          <div class="btn-group" role="group">
            <button id="btnGroupDrop2" type="button" class="btn btn-sm btn-secondary dropdown-toggle caret-off"
              data-toggle="dropdown">
              <span class="fas fa-wrench menu-icon-styling" title="icon name"></span>&nbsp;<span style='float:right'
                class='d-none d-xl-block'></span>
            </button>
            <div class="dropdown-menu">
              <a class="dropdown-item" id="buttonActivate3DMode" href="#"> <span class="far fa-clock"></span> Toggle
                Cesium 3D mode (experimental)</a>
              <div class="dropdown-divider"></div>
              <a class="dropdown-item" id="buttonResetColorScheme" href="#"> <span class="far fa-clock"></span>
                Monochrome color scheme</a>
              <a class="dropdown-item" id="buttonSetColorSchemeToCategory" href="#"> <span class="far fa-clock"></span>
                Base color scheme on profession (default)</a>
              <a class="dropdown-item" id="buttonSetColorSchemeToName" href="#"> <span class="far fa-clock"></span>
                Base
                color scheme on name</a>
              <div class="dropdown-divider"></div>
              <a class="dropdown-item" id="buttonToggleColorPalette" href="#"> <span class="far fa-clock"></span>
                Toggle
                color palette</a>
            </div>
            &nbsp;&nbsp;
          </div>
        </div>

      </nav>

      <!--alert for active filter-->
      <span class="alert alert-primary alert-button" role="alert" id="alertFilterActive">
        <span class="fas fa-times closeSmall" id="alertFilterActiveCloseButton">&nbsp;&nbsp;</span>
        <span class="d-none d-lg-block" id="alertFilterActiveText"></span>
        <span data-tooltip="tooltip" title="Number of filtered items" style="color:black">
          &nbsp;◉
          <span id="alertFilterActiveBadge" class="badge badge-secondary badge-pill">0</span>
        </span>
      </span>

      <div id="mapToolTip" class="mapToolTipCl" style="display: none;">
        <span class="mapToolTipTextStyle" id="mapToolTipText">ToolTip Text</span>
      </div>

      <div class="timeslidercontainer">
        <input type="range" min="1630" max="1700" value="1650" class="timeslider" id="inputTimeSlider"
          data-toggle="tooltip" data-placement="auto">
      </div>

      <!--legend (analysis layers) panel-->
      <div class="alert alert-light alertInfoBox" role="alert" id="alertInfoBox">
        <button type="button" id="alertInfoBoxClose" class="btn btn-x-sm btn-light bg-color-one float-right">
          <span class="fas fa-times"></span>
        </button>
        <div id="alertInfoBoxTitle" class="alertInfoBoxTitle"></div>
        <div id="alertInfoBoxDescription" class="alertInfoBoxDescription"></div>
      </div>

      <div id="map" class="map">
      </div>

    </div>

    <!-- sidebar info panel -->
    <div class="d-none d-sm-block col-sm-4 col-md-3 col-lg-3" id="colSidebar">
      <div class="tab-content" id="myTabContent">

        <!--general information tab-->
        <div class="tab-pane fade show active" id="tabHomeContent" role="tabpanel">
          <div class="card" id="generalInfoCard">
            <div class="general-tab-title">
              <h6>Virtual Interiors 2D Research Environment demonstrator</h6>
            </div>
            <div class="general-tab-text">
              Amsterdam, in the 16th and 17th century, was known for the size and scale of its creative industries,
              especially for paintings. At its peak, there were more than 300 painters working in the city, who
              accounted for the unprecedented painting production in various genres and styles. <a target="_blank"
                href="https://virtualinteriorsproject.nl/centres-of-creativity-in-amsterdam-of-the-dutch-golden-age/">Read
                more about Weixuan Li's research</a>, part of which can be projected onto this map.
              <br /><br />
              This experimental demonstrator can be used to explore Amsterdam artist and art dealer locations between 1585 and 1700, augmented by Linked Data sources. 
              <br><br>
              Creation and user research of maps demonstrator by <a target="_blank"
                href="https://www.timelessfuture.com">Hugo
                Huurdeman</a>. The initial interface was co-designed (2019-2020) with Etienne Posthumus, Hugo Huurdeman and Weixuan Li. 
                Code contributions by Ivan Kisjes and Saan Rashid (2022). Demonstrator extended by Hugo Huurdeman (2024). Source code and documentation 
                available on: <a href="https://gitlab.com/uvacreate/virtual-interiors/virtual-interiors-2d-research-envi" target="_blank">GitLab</a> and <a href="https://zenodo.org/records/5172687" target="_blank">Zenodo</a>.
                <br /><br />
                Data sources used in the current application: 
                <ul>
                  <li>Data on artist and art dealer locations (research <a target="_blank"
                    href="https://virtualinteriorsproject.nl/centres-of-creativity-in-amsterdam-of-the-dutch-golden-age/">Weixuan Li</a>)</li>
                  <li>Further biographical information and links (<a href="https://ecartico.org" target="_blank">Ecartico</a>)</li>
                  <li>Paintings and related metadata (<a href="https://wikidata.org" target="_blank">Wikidata</a>)</li>
                  <li>Background maps (hosted by <a href="https://www.amsterdamtimemachine.nl/" target="_blank">Amsterdam Time Machine</a>, ArcGIS)</li>
                  <li>Streetplan layers (<a href="https://adamlink.nl/data" target="_blank">Adamlink)</a></li>
                </ul>
                Related literature:
                <ul>
                <li>Li, W. (2023). Painters’ playbooks: Deep mapping socio-spatial strategies in the art market of seventeenth-century Amsterdam [<a href="https://hdl.handle.net/11245.1/bdaca776-71c2-4ff2-b5fa-12fbfabe1a5b" target="_blank">PhD Thesis</a>, University of Amsterdam].</li>
                <li>Li, W. (2024). Deep Mapping Uncertain Historical Sources: Visualizing Business Knowledge of Painters in Seventeenth-Century Amsterdam. Journal of Knowledge.</li>
                <li>Huurdeman, H. C. (2024, June). <a href="https://doi.org/10.5281/zenodo.11457262" target="_blank">Data Visualization via Enhanced Maps in a Digital Humanities Context – a Design Perspective</a>. Digital Humanities Benelux 2024.</li>
              </ul>
              </div>
          </div>
        </div>

        <!-- inspector tab-->
        <div class="tab-pane fade" id="tabObjectContent" role="tabpanel">
          <div class="card" id="infoCard">
            <div class="card-body">
              <h5 id="infoCardTitle" class="card-title">Title</h5>

              <button id="buttonCloseObject" type="button" class="btn btn-light btn-sm btn-object-close bg-color-one">
                <span class="fas fa-times menu-icon-styling" title="Close"></span>&nbsp;<span style='float:right'
                  class='d-none d-xl-block'></span>
              </button>

              <!--Subtabs-->
              <ul class="nav nav-tabs" role="tablist">
                <li class="nav-item">
                  <a class="nav-link active" data-toggle="tab" href="#inspectorPropertiesTabContent">Details</a>
                </li>
                <li class="nav-item">
                  <a class="nav-link" id="inspectorDataExplorationTab" data-toggle="tab"
                    href="#inspectorDataExplorationTabContent">Linked Data</a>
                </li>
                <li class="nav-item">
                  <a class="nav-link" data-toggle="tab" href="#inspectorAnnotationTabContent">Annotations</a>
                </li>
              </ul>

              <!--Subtab container-->
              <div class="tab-content">
                <!--Subtab: Object details-->
                <div class="tab-pane fade show active" id="inspectorPropertiesTabContent" role="tabpanel">
                  <figure class="figure card-img">
                    <img src="data/images/dummy-object.png" id="infoCardImage" class="d-block w-100 clickableImg"
                      alt="..." data-target="#imageOverlay" data-toggle="modal">
                    <!--<figcaption class="figure-caption card-img-caption" id="infoCardImageCaption">Figure caption</figcaption>-->
                  </figure>
                  <div id="infoCardProperty3" class="list-group-item">Ecartico data</div>
                  <div id="infoCardProperty1" class="list-group-item">Category (filter)</div>
                  <div id="infoCardPropertyImmigrant" class="list-group-item">Immigrant (filter)</div>
                  <div id="infoCardPropertyBirthYear" class="list-group-item">Birth year (filter)</div>
                  <div id="infoCardProperty2" class="list-group-item">Descr</div>
                  <div id="infoCardProperty7" class="list-group-item">Straatbeelden</div>
                  <div class="list-group-item">
                    <a id="linkSelectAllLocationsOfName" href="#"><span style='color:black'>◉</span> Highlight all
                      locations of this item</a>
                  </div>
                </div>

                <!--Subtab: Linked Data-->
                <div class="tab-pane fade" id="inspectorDataExplorationTabContent" role="tabpanel">
                  <div id="infoCardProperty5" class="list-group-item">Portrait gallery</div>
                  <div id="infoCardProperty4" class="list-group-item">Works gallery</div>
                  <div id="infoCardProperty6" class="list-group-item">Ext. voc.</div>
                </div>

                <!--Subtab: Annotation-->
                <div class="tab-pane fade" id="inspectorAnnotationTabContent" role="tabpanel">
                  <div id="alertAnnotationField" class="alert alert-primary" role="alert"></div>

                  <button id="buttonCreateAnnotationObject" class="btn btn-secondary btn-sm bg-color-two" type="button"
                    data-toggle="modal" data-target="#annotationOverlay">
                    <span class="fas fa-pen" title="icon name"></span>
                    Add annotation
                  </button>
                </div>
              </div>
            </div>
          </div>
        </div>

        <!-- Object list tab-->
        <div class="tab-pane fade" id="tabObjectListContent" role="tabpanel">
          <div class="card">
            <div class="card-body">
              <h5 class="card-title" id="testID">Item list</h5>
              <!--Subtabs-->
              <ul class="nav nav-tabs" role="tablist">
                <li class="nav-item">
                  <a class="nav-link active" id="buttonDisplayItemListAsTextualList" data-toggle="tab"
                    href="#itemListTextContent"><span class="fas fa-list-ul" title="icon name"></span>&nbsp;Text</a>
                </li>
                <li class="nav-item">
                  <a class="nav-link" id="buttonDisplayItemListAsImages" data-toggle="tab"
                    href="#itemListImageContent"><span class="fas fa-images" title="icon name"></span>&nbsp;Images</a>
                </li>
              </ul>

              <!--Subtab container-->
              <div class="tab-content">

                <!--Subtab: Item list as text-->
                <div class="tab-pane fade show active" id="itemListTextContent" role="tabpanel">
                  <div id="objectListContainer">
                    <div class="input-group mb-2 input-group-sm" id="inputFieldFilter">
                      <input type="text" class="form-control form-control-sm" id="inputFieldFilterInput"
                        placeholder="Filter list items.."></input>
                      <div class="input-group-append">
                        <div class="input-group-text">&#128269;</div>
                      </div>
                    </div>

                    <div id="objectList">
                      <div>
                        <span>Data: </span> <span id="spanObjectListDataLayer" class="boldText">[No data found. <a
                            href="index.html?data=data/csv/dataset.csv">Try a sample dataset</a>]</span>
                        <br>
                        <span><b><span id="spanObjectListNumberOfResults"></span> results </b></span>
                        <b>(<span id="spanObjectListYearRange"></span>)</b>
                      </div>
                      <br>
                      <div>
                        <span class="boldText">Results with assigned location </span>
                        <span id="badgeObjectListLocation" class="badge badge-secondary badge-pill">-1</span>
                        <ul id="ulObjectListLocation"></ul>
                      </div>
                      <div>
                        <span class="boldText">Results without location </span>
                        <span id="badgeObjectListNoLocation" class="badge badge-secondary badge-pill">-1</span>
                        <ul id="ulObjectListNoLocation"></ul>
                      </div>
                    </div>
                  </div>
                </div>

                <!--Subtab: Item list as images-->
                <div class="tab-pane fade" id="itemListImageContent" role="tabpanel">
                  <div id="objectListAsImages" class="flex-container">
                  </div>
                </div>

              </div>
            </div>
          </div>
        </div>
      </div>
    </div>

    <!--Sidebar "pills" navigation (icons/text [][][X])-->
    <div id="colSidebarNav" class="d-none d-md-block col-md-1 col-lg-1">
      <ul id="myTab" role="tablist" class="nav nav-pills">
        <li class="nav-item">
          <a class="nav-link active" id="tabHome" data-toggle="tab" href="#tabHomeContent" role="tab"><i
              class="far fa-map" style="margin-top: 10px;"></i>
            <div class="col-sidebar-nav-link-text">About</div>
          </a>
        </li>

        <li class="nav-item">
          <a class="nav-link" id="tabObjectList" data-toggle="tab" href="#tabObjectListContent" role="tab">
            <i class="fas fa-list"></i>
            <!--<span class="fas fa-cubes" title="icon name"></span>-->
            <div class="col-sidebar-nav-link-text">Item list</div>
          </a>
        </li>

        <li class="nav-item">
          <a class="nav-link" id="tabObject" data-toggle="tab" href="#tabObjectContent" role="tab">
            <i class="fas fa-info-circle"></i>
            <div class="col-sidebar-nav-link-text">Inspector</div>
            <!--<span class="fas fa-cube" title="icon name"></span>-->
          </a>
        </li>

        <li class="nav-item" id="toggleSidebarHiddenTab">
          <a class="nav-link" id="toggleSidebarHiddenButton" role="tab">
            <i class="fas fa-toggle-on"></i>
            <div class="col-sidebar-nav-link-text">Sidebar</div>
          </a>
        </li>
      </ul>
    </div>

    <!-- Annotation popup -->
    <div class="modal" id="annotationOverlay" tabindex="-1" role="dialog">
      <div id="dataAnnotation" data-id=""></div>
      <div class="modal-dialog" role="document">
        <div class="modal-content">
          <div class="modal-header">
            <h5 class="modal-title">Add an annotation (not permanently stored)</h5>
            <button type="button" class="close" data-dismiss="modal">
              <span>&times;</span>
            </button>
          </div>
          <div class="modal-body">
            <input class="form-control" id="inputFieldAnnotationText" placeholder="Enter your annotation here">
          </div>
          <div class="modal-footer">
            <button type="button" id="buttonSaveAnnotation" class="btn btn-primary bg-color-one btn-sm"
              data-dismiss="modal">Save</button>
            <button type="button" class="btn btn-secondary btn-sm bg-color-two" data-dismiss="modal">Cancel</button>
          </div>
        </div>
      </div>
    </div>
    <!-- Large img popup -->
    <div class="modal fade" id="imageOverlay" tabindex="-1" role="dialog">
      <div class="modal-dialog modal-lg" role="document">
        <div class="modal-content">
          <div class="modal-header">
            <h5 class="modal-title">Picture</h5>
            <button type="button" class="close" data-dismiss="modal">
              <span>&times;</span>
            </button>
          </div>
          <div class="modal-body">
            <figure class="figure">
              <img src="data/images/dummy-object.png" id="imageOverlayImage" class="w-100" alt="...">
              <figcaption class="figure-caption card-img-caption" id="imageOverlayImageCreator">Figure creator
              </figcaption>
              <figcaption class="figure-caption card-img-caption" id="imageOverlayImageYear">Figure year
              </figcaption>
              <figcaption class="figure-caption card-img-caption" id="imageOverlayImageDescription">Figure descr
              </figcaption>
              <figcaption class="figure-caption card-img-caption" id="imageOverlayImageSource">Figure source
              </figcaption>
            </figure>
          </div>
        </div>
      </div>
    </div>
  </div>

		<!--"About" popup-->
		<div class="modal" id="demoIntroductionOverlay" tabindex="-1" role="dialog">
			<div class="modal-dialog modal-md" role="document">
				<div class="modal-content">
					<div class="modal-header">
						<h5 class="modal-title">About this prototype</h5>
						<button type="button" class="close" data-dismiss="modal">
							<span>&times;</span>
						</button>
					</div>
					<div class="modal-body" id="textGeneralAbout">
            This is a demonstrator created in the context of the <a href='https://www.virtualinteriorsproject.nl' target='_blank'>Virtual Interiors project</a>. It is recommended to use the Chrome or Firefox browser."
					</div>
				</div>
			</div>
		</div>

</body>

</html>
